Bug 254 - Create Share, let swat core dump
Create Share, let swat core dump
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: SWAT
3.0.0preX
All FreeBSD
: P2 major
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-26 12:00 UTC by Carsten Menke
Modified: 2005-11-14 09:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carsten Menke 2003-07-26 12:00:11 UTC
It's impossible to create a new share using swat in samba-3.0beta3, I got this
behavior on debian-stable 3.0 and on FreeBSD-4.8-STABLE.

As soon as you hit "Create Share" you get a new page and see nothing, the
logfile shows (when used with debuglevel 10, that there was an INTERNAL ERROR.

gdb on the core file results in:

Core was generated by `swat'.
Program terminated with signal 6, Abort trap.
#0  0x283d0c84 in ?? ()

Backtrace:
#0  0x283d0c84 in ?? ()
#1  0x80babba in ?? ()
#2  0x80abc1d in ?? ()
#3  0x80abc71 in ?? ()
#4  0xbfbfffac in ?? ()
#5  0x80bfda7 in ?? ()
#6  0x80639f3 in ?? ()
#7  0x806493b in ?? ()
#8  0x80695d8 in ?? ()
#9  0x8061a58 in ?? ()
#10 0x8062c80 in ?? ()
#11 0x805e23e in ?? ()


I have not stripped swat nor smbd or anything else of the samba-3.0beta3
package, so I don't know why there are no debugging symbols

Samba was built with the following configure options:

./configure --with-fhs --with-configdir=/etc/samba --with-logfilebase=/var/log
--with-privatedir=/etc/samba --with-piddir=/var/run
--with-swatdir=/etc/samba/swat --with-ldap --with-syslog --enable-cups
--with-pam --with-pam_smbpass
Comment 1 Jelmer Vernooij 2003-08-19 08:18:39 UTC
Fixed in CVS.
Comment 2 Gerald (Jerry) Carter 2005-02-07 08:41:31 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:23:00 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:26:56 UTC
database cleanup